#17 PDF multi page document

v1.0_(example)
closed
5
2015-05-25
2014-04-12
thewordsmith
No

Is there away way to use Graphics Magick to great a single PDF document that multiple pdf pages. Currently I am using the following command to create a PDF from multiple PNG imgages like this:

/usr/bin/gm convert -compress Zip -interlace None -depth 32 -density 200x200 -quality 100 -append img1.png img2.png out.pdf

I tried using -page +0+1 but that did not create a single PDF document with separate pages. 


Sulaiman

Related

Support Requests: #17

Discussion

    • status: open --> closed
    • assigned_to: Bob Friesenhahn
     
    • thewordsmith
      thewordsmith
      2014-04-12

      Thank you for the fast reply. The page separations now work.

      But another problem has arisen. The original documents have a resolution of
      200x200. But now if I use 200x200 the result is a document that not smaller
      than 8.5x11. If I reduce the resolution to 72x72 the PDF pages are 8.5x11".
      I am printing USPS Shipping labels so the DPI/Resolution is important for
      the consistency of the barcodes.

      I have attached sample images for your comparison.

      Sulaiman


      From: Bob Friesenhahn [mailto:bfriesen@users.sf.net]
      Sent: Saturday, April 12, 2014 1:25 PM
      To: [graphicsmagick:support-requests]
      Subject: [graphicsmagick:support-requests] #17 PDF multi page document

      • status: open --> closed
      • assigned_to: Bob Friesenhahn
      • Comment:
        It is very easy, just list multiple input files and they will all be written
        as separate pages in the output PDF:
        gm convert img1.png img2.png -compress Zip -interlace None -density 200x200
        -quality 100 -adjoin out.pdf
        Don't use -append for this.

      [support-requests:#17]
      http://sourceforge.net/p/graphicsmagick/support-requests/17/ PDF multi
      page document
      Status: closed
      Group: v1.0_(example)
      Labels: PDF multi page pages
      Created: Sat Apr 12, 2014 05:19 PM UTC by thewordsmith
      Last Updated: Sat Apr 12, 2014 05:19 PM UTC
      Owner: Bob Friesenhahn
      Is there away way to use Graphics Magick to great a single PDF document that
      multiple pdf pages. Currently I am using the following command to create a
      PDF from multiple PNG imgages like this:

      /usr/bin/gm convert -compress Zip -interlace None -depth 32 -density 200x200
      -quality 100 -append img1.png img2.png out.pdf
      I tried using -page +0+1 but that did not create a single PDF document with
      separate pages.

      Sulaiman


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/graphicsmagick/support-requests/17/
      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/


      This email is free from viruses and malware because avast! Antivirus protection is active.
      http://www.avast.com

       

      Related

      Support Requests: #17

  • It is very easy, just list multiple input files and they will all be written as separate pages in the output PDF:

    gm convert img1.png img2.png -compress Zip -interlace None -density 200x200 -quality 100 -adjoin out.pdf
    

    Don't use -append for this.

     
  • The PDF you attached (1012.pdf) is written by a 4-year old GraphicsMagick version. Is it possible for you to update to the current release?

     
    • status: closed --> open
     
  • I checked the two PNG files you attached and neither seems to include any embedded resolution information. The default resolution for PDF is 72 DPI.

     
    • thewordsmith
      thewordsmith
      2014-04-13

      A density of 200x200 DPI was specified for those PNG files. But it is not
      feasible to update my GraphicsMagick version until I upgrade the server from
      Fedora 13 to version 20. The barcodes on the final PDF scan just fine so I
      will not worry bout the DPI until the server is upgraded.

      Thanx,
      Sulaiman


      From: Bob Friesenhahn [mailto:bfriesen@users.sf.net]
      Sent: Sunday, April 13, 2014 11:09 AM
      To: [graphicsmagick:support-requests]
      Subject: [graphicsmagick:support-requests] #17 PDF multi page document

      I checked the two PNG files you attached and neither seems to include any
      embedded resolution information. The default resolution for PDF is 72 DPI.


      [support-requests:#17]
      http://sourceforge.net/p/graphicsmagick/support-requests/17/ PDF multi
      page document
      Status: open
      Group: v1.0_(example)
      Labels: PDF multi page pages
      Created: Sat Apr 12, 2014 05:19 PM UTC by thewordsmith
      Last Updated: Sat Apr 12, 2014 09:53 PM UTC
      Owner: Bob Friesenhahn
      Is there away way to use Graphics Magick to great a single PDF document that
      multiple pdf pages. Currently I am using the following command to create a
      PDF from multiple PNG imgages like this:

      /usr/bin/gm convert -compress Zip -interlace None -depth 32 -density 200x200
      -quality 100 -append img1.png img2.png out.pdf
      I tried using -page +0+1 but that did not create a single PDF document with
      separate pages.

      Sulaiman


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/graphicsmagick/support-requests/17/
      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/


      This email is free from viruses and malware because avast! Antivirus protection is active.
      http://www.avast.com

       

      Related

      Support Requests: #17

      Attachments
    • status: open --> closed